// {{{ copyright

/********************************************************************
 *
 * $Id: AsyncCommand.java,v 1.4 2000/06/06 17:00:01 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.command;

/**
 * This extension of the Command class is used as a marker for the {@link
 * CommandDistributor#assignAsyncCommand
 * CommandDistributor.assignAsyncCommand} method. It restricts the use of
 * Commands in a background thread to those derived from AsyncCommand. <p>
 *
 * Since an AsyncCommand (if distributed via assignAsyncCommand) doesn't run
 * in the Swing event loop, care must be taken to synchronize all calls to
 * Swing classes via {@link javax.swing.SwingUtilities#invokeLater
 * SwingUtilities.invokeLater} or {@link
 * de.qfs.lib.gui.SwingUtil#invokeAndWait SwingUtil.invokeAndWait}.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.4 $
 */
public class AsyncCommand extends Command
{
    /**
     * Create a new AsyncCommand object.
     *
     * @param   source  The source from which the AsyncCommand originated.
     */
    public AsyncCommand (Object source)
    {
        super (source);
    }

}
