// {{{ copyright

/********************************************************************
 *
 * $Id: MultiPaneEvent.java,v 1.3 2000/06/06 16:41:25 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.gui;

// {{{ imports

import java.util.EventObject;

// }}}

/**
 * This event contains the details about a change in a {@link MultiPane
 * MultiPane's} showing state.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.3 $
 */
public class MultiPaneEvent
    extends EventObject
{
    // {{{ variables

    /**
     * The new showing state of the MultiPane.
     */
    private int showing;

    // }}}

    // {{{ MultiPaneEvent

    /**
     * Create a new MultiPaneEvent.
     *
     * @param   source  The source of the event, i.e. the affected MultiPane.
     * @param   showing The new showing state of the MultiPane.
     */
    public MultiPaneEvent(Object source, int showing)
    {
        super(source);
        this.showing = showing;
    }

    // }}}

    // {{{ getShowing

    /**
     * Get the new showing state of the MultiPane.
     *
     * @return  The new showing state.
     */
    public int getShowing()
    {
        return showing;
    }

    // }}}
}
