// {{{ copyright

/********************************************************************
 *
 * $Id: UnitTests.jpp,v 1.4 2001/02/17 09:41:33 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.util;


// {{{ imports

import junit.framework.Test;
import junit.framework.TestSuite;

// }}}

/**
 * Test suite for util package unit testing.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.4 $
 */
public class UnitTests
{
    /**
     * Create a new suite.
     *
     * @return  The test suite for the log package.
     */
    public static Test suite()
    {
        TestSuite suite = new TestSuite();
        suite.addTest(ArgsParser.UnitTest.suite());
        suite.addTest(MultiMap.UnitTest.suite());
        suite.addTest(MRUCache.UnitTest.suite());
        // suite.addTest(TaskQueue.UnitTest.suite());
        suite.addTest(Visitor.UnitTest.suite());
        return suite;
    }
}

